#
# spec file for package perl-Unicode-String (Version 2.06)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-MIME-Base64
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-MIME-Base64 ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Unicode-String
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Requires:     perl-MIME-Base64
Autoreqprov:  on
Summary:      String of Unicode characters (UCS2/UTF16)
Version:      2.06
Release:      30
Source:       Unicode-String-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-build

%description
A Unicode::String object represents a sequence of Unicode characters.
The Unicode Standard is a fixed-width, uniform encoding scheme for
written characters and text. This encoding treats alphabetic characters,
ideographic characters, and symbols identically, which means that they
can be used in any mixture and with equal facility.  Unicode is modeled
on the ASCII character set, but uses a 16-bit encoding to support full
multilingual text.

Authors:
--------
    Gisle Aas <gisle@aas.no>

SuSE series: perl

%prep
%setup -n Unicode-String-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Unicode-String
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Unicode/String
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%doc README MANIFEST Changes
%{perl_sitearch}/Unicode/String.pm
%{perl_sitearch}/Unicode/CharName.pm
%{perl_sitearch}/auto/Unicode/String
/var/adm/perl-modules/perl-Unicode-String

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%changelog -n perl-Unicode-String
* Wed Aug 15 2001 - rvasice@suse.cz
- initial package release (version 2.06)
